QGIS Application - Bug report #445
qgis crash deleting point in postgis table
2006-12-12 02:31 AM - venturato-faunalia-it -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10504
Description

When we try to delete a point in postgis table qgis crash:

Warning: QPainter::begin: Painter already active
Segmentation fault

This happens every time we allow editing, select a point, and click on the "cut" icon. It doesn't happen with linestring or polygon.

The problem is similar to http://svn.qgis.org/trac/ticket/132

| don't know if it's could be correlate, but connection to db seems lower than before.

History

#1 - 2006-12-13 11:51 PM - anonymous -

Works for me.

Can you provide a backtrace from the crash?

#2 - 2006-12-16 08:24 AM - Marco Hugentobler
- Resolution set to fixed

- Status changed from Open to Closed

Made [[QgsVectorLayer]] and [[QgsFeature]] more robust against 0 geometry objects.

#3 - 2006-12-19 08:33 AM - venturato-faunalia-it -
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

The bug fixing caused a side effect:

If 1 try to select from query builder on a table (I tried also as db superuser with full grants) | get an error message: 'Connection to database failed: FATAL:
password authentication failed for user "username™.

Furthermore, if | select all records from a table with missing geoms, then zoom to selection, qgis crashes. If | exclude the records with missing geoms, the
zoom works well (no crash). So missing geoms appear to be a problem not only for digitizing, but also for selecting.

The query builder might be a side effect?
http://svn.qgis.org/trac/ticket/132

#4 - 2006-12-28 12:19 AM - venturato-faunalia-it -
- Status changed from Feedback to Closed
- Resolution set to fixed

fixed now

#5 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

2025-04-27

22



